<?php
require_once 'ControlDB.php';
class ControlParceria {
	
	public function pegarTodosParceria() {
		$parceria = new Parceria();
		$parceria->find();
		return $parceria;
	}
        
	
	public function pegarUmParceria($pk) {
		$parceria = new Parceria();
		$parceria->get($pk);
		return $parceria;
	}
	
	public function salvarParceria(Parceria  $parceria) {
		$parceria->save();
		return 1;
	}
	
	public function excluirParceria(Parceria  $parceria) {
                $parCatLink = $parceria->getParcatlink();
                foreach ($parCatLink as $key => $row)
                {
                    $this->excluirParCat($parCatLink);
                }	
                $parceria->delete();
                return 1;
	}
        
        /*ParceriaCategoria*/        
        public function pegarTodosParceriaCategoria() {
		$parceriacategoria = new Parceriacategoria();
                $parceriacategoria->orderBy('ordem');
		$parceriacategoria->find();
		return $parceriacategoria;
	}
        
	
	public function pegarUmParceriaCategoria($pk, $idsite = '') {
		$parceriaCategoria = new Parceriacategoria();
                if ($idsite == '')
                {
                    $parceriaCategoria->get($pk);
                } else {
                    $parceriaCategoria->setIdsite($idsite);
                    $parceriaCategoria->find(true);
                }
		return $parceriaCategoria;
	}
	
	public function salvarParceriaCategoria(Parceriacategoria $parceriaCategoria) {
		$parceriaCategoria->save();
		return 1;
	}
	
	public function excluirParceriaCategoria(Parceriacategoria $parceriaCategoria) {
		$parceriaCategoria->delete();
                return 1;
	}
        
        //ParCatLink
          public function pegarTodosParCat() {
		$parCat = new Parcatlink();
		$parCat->find();
		return $parCat;
	}
        
        public function pegarTodosParCatporParceria($pk) {
		$parCat = new Parcatlink();
                $parCat->setParceriaid($pk);
		$parCat->find();
		return $parCat;
	}
        
        public function pegarTodosParCatporCategoria($pk) {
		$parCat = new Parcatlink();
                $parCat->setParceriacategoriaid($pk);
		$parCat->find();
		return $parCat;
	}
	
	public function pegarUmParCat($pk) {
		$parCat = new Parcatlink();
		$parCat->get($pk);
		return $parCat;
	}
	
	public function salvarParCat(Parcatlink $parCat) {
		$parCat->save();
		return 1;
	}
	
	public function excluirParCat(Parcatlink $parCat) {
			$parCat->delete();
			return 1;
	}
        
        
        
}


?>